Bug 755069 - Review Request: splix - Driver for QPDL/SPL2 printers (Samsung and several Xerox printers)
Review Request: splix - Driver for QPDL/SPL2 printers (Samsung and several Xe...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hedayat Vatankhah
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1167731
  Show dependency treegraph
 
Reported: 2011-11-18 12:57 EST by Jiri Popelka
Modified: 2014-11-25 08:25 EST (History)
7 users (show)

See Also:
Fixed In Version: splix-2.0.1-0.3.20111121svn.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-25 18:22:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
hedayatv: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jiri Popelka 2011-11-18 12:57:39 EST
Spec URL: http://jpopelka.fedorapeople.org/splix.spec
SRPM URL: http://jpopelka.fedorapeople.org/splix-2.0.1-0.1.20111118svn.src.rpm
Description:

SpliX is GPLv2 licensed set of drivers usable by all printer devices which understand the QPDL (Quick Page Description Language) also known as SPL2 (Samsung Printer Language) language. It covers several Samsung, Xerox and Dell printers.

Earlier it was possible to get RPM from
http://www.openprinting.org/download/printdriver/components/lsb3.2/contrib/RPMS/x86_64/openprinting-splix-2.0.0-2lsb3.2.x86_64.rpm
or build from source
http://sourceforge.net/projects/splix/files/splix/2.0.0/splix-2.0.0.tar.bz2/download

I decided to create Fedora package because the openprinting repo has been down for quite a long time and the 2.0.0 source is not possible to build with gcc-4.6 as shipped with Fedora-16 so there's no easy way for Fedora users how to get SpliX working. I'm packaging the SVN nightly snapshot that has the gcc compilation problem fixed.
See also bug #674619
Comment 1 Jiri Popelka 2011-11-21 09:46:43 EST
I updated the spec and srpm. The comment to source tarball contains correct URL.
Spec URL: http://jpopelka.fedorapeople.org/splix.spec
SRPM URL: http://jpopelka.fedorapeople.org/splix-2.0.1-0.2.20111121svn.src.rpm
Comment 2 Hedayat Vatankhah 2011-11-21 11:39:18 EST
My Review:

MUST Items:
===================	
rpmlint output:
splix.src: W: invalid-url Source0: splix-2.0.1.20111121svn.tar.gz
splix.x86_64: E: incorrect-fsf-address /usr/share/doc/splix-2.0.1/COPYING
splix.src: W: non-coherent-filename splix-2.0.1-0.2.20111121svn.src.rpm splix-2.0.1-0.2.20111121svn.fc16.src.rpm
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/src/ppdfile.cpp
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/src/algo0x0d.cpp
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/src/compress.cpp
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/include/rendering.h
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/src/printer.cpp
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/src/bandplane.cpp
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/src/page.cpp
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/include/colors.h
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/src/algo0x0e.cpp
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/src/document.cpp
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/src/colors.cpp
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/src/semaphore.cpp
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/src/cache.cpp
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/include/request.h
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/src/request.cpp
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/include/algorithm.h
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/include/band.h
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/include/compress.h
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/src/pstoqpdl.cpp
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/include/printer.h
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/include/algo0x11.h
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/src/algorithm.cpp
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/include/document.h
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/src/algo0x11.cpp
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/include/qpdl.h
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/src/qpdl.cpp
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/include/ppdfile.h
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/src/band.cpp
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/include/semaphore.h
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/include/bandplane.h
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/include/algo0x0d.h
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/include/cache.h
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/include/algo0x0e.h
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/src/rendering.cpp
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/src/rastertoqpdl.cpp
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/include/options.h
splix-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/splix/include/page.h
splix.spec: W: invalid-url Source0: splix-2.0.1.20111121svn.tar.gz
4 packages and 1 specfiles checked; 38 errors, 4 warnings.
---------------------------------------------------------------------
Remarks: 
- invalid url errors are fine since it is a pre-release package
- src.rpm file name doesn't match the release tag inside the package. IMO, since new src.rpms will be generated after importing the package, it should be fine.
- COPYING file is a bit out-dated. It would be preferred if upstream is notified about this and update it. But doesn't look like to block the review.


Naming: OK (pre-release snapshot)
Spec file naming: OK
Maybe including ChangeLog,TODO and Thanks files as doc is appropriate (specially Thanks file)

Licensing: OK (GPLv2, spec matches)
include license file as %doc: OK
SPEC in American English: OK
SPEC legibility: OK
Builds fine: Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3529728 OK
Locale handling: it is not handled conventionally and is included in ppd files.
No dynamic libraries OK
No external libs included OK
Directory ownership: OK
No duplicate file listing: OK
Proper permissions for files: OK
Consistency use macros: OK
Permissable code or content: OK
No large docs: OK
Doc files not required for running: OK
No header files in non-devel package: OK
No static libraries: OK
No .so files: OK
No -devel packages needed. OK
No .la files: OK
Not a GUI application, so no .desktop file. OK
No duplicate file ownership OK
Valid UTF-8 file names OK

Should Items
=============
Package includes license text
Package built in Koji
Cannot test if package functions properly
No scriptlets
No subpackages
No -devel subpackage
No file based dependency
No binaries which would need man pages

Result
========
The package looks fine and can be accepted. Only a few notes/questions:
1. Can you ask upstream to update its COPYING file and also FSF address in copyright header in .h and .cpp files? But as far as I can see, it is not required to be done before acceptance.

2. Maybe adding these files as %doc makes sense: ChangeLog, TODO and Thanks ?! Specially the last one.
Comment 3 Hedayat Vatankhah 2011-11-21 12:28:02 EST
Considering that there is no blocking problems, it is APPROVED.
Comment 4 Jiri Popelka 2011-11-22 05:26:59 EST
Thanks !
I've added ChangeLog and Thanks files as doc and I'll ask upstream to update the FSF address.
Comment 5 Jiri Popelka 2011-11-22 05:42:12 EST
New Package SCM Request
=======================
Package Name: splix
Short Description: Driver for QPDL/SPL2 printers (Samsung and several Xerox printers)
Owners: jpopelka twaugh
Branches: f15 f16
Comment 6 Jon Ciesla 2011-11-22 08:21:03 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2011-11-22 09:38:47 EST
splix-2.0.1-0.3.20111121svn.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/splix-2.0.1-0.3.20111121svn.fc16
Comment 8 Fedora Update System 2011-11-22 09:39:08 EST
splix-2.0.1-0.3.20111121svn.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/splix-2.0.1-0.3.20111121svn.fc15
Comment 9 Fedora Update System 2011-11-22 20:00:20 EST
splix-2.0.1-0.3.20111121svn.fc15 has been pushed to the Fedora 15 testing repository.
Comment 10 Raphael Groner 2011-11-24 10:48:12 EST
Wow! That was fast reaction. Thanks.
Comment 11 Fedora Update System 2011-11-25 18:22:16 EST
splix-2.0.1-0.3.20111121svn.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2011-12-10 14:36:27 EST
splix-2.0.1-0.3.20111121svn.fc15 has been pushed to the Fedora 15 stable repository.
Comment 13 Jiri Popelka 2014-11-25 05:50:36 EST
Package Change Request
======================
Package Name: splix
New Branches: epel7
Owners: jpopelka twaugh
Comment 14 Jon Ciesla 2014-11-25 08:25:17 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.